aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJustin Lecher <jlec@gentoo.org>2013-03-03 14:38:51 +0100
committerJustin Lecher <jlec@gentoo.org>2013-03-03 14:38:51 +0100
commit7b983e47b8465801dfaf70fc715c119f7fa4db8b (patch)
tree4941fa60e252f8a2edd56955bc3a7ce37d5cfef6 /sci-visualization
parentsci-mathematics/why: Drop ppc as deps are not keyworded; move to EAPI=5 and a... (diff)
downloadsci-7b983e47b8465801dfaf70fc715c119f7fa4db8b.tar.gz
sci-7b983e47b8465801dfaf70fc715c119f7fa4db8b.tar.bz2
sci-7b983e47b8465801dfaf70fc715c119f7fa4db8b.zip
sci-visualization/ferret-bin: Move to EAPI=5; clean ebuild style; add missing die; remove portage-internal (env-update)
Package-Manager: portage-2.2.0_alpha164
Diffstat (limited to 'sci-visualization')
-rw-r--r--sci-visualization/ferret-bin/ChangeLog7
-rw-r--r--sci-visualization/ferret-bin/Manifest10
-rw-r--r--sci-visualization/ferret-bin/ferret-bin-6.6.4.ebuild52
-rw-r--r--sci-visualization/ferret-bin/metadata.xml12
4 files changed, 41 insertions, 40 deletions
diff --git a/sci-visualization/ferret-bin/ChangeLog b/sci-visualization/ferret-bin/ChangeLog
index 3394da4e8..56775999c 100644
--- a/sci-visualization/ferret-bin/ChangeLog
+++ b/sci-visualization/ferret-bin/ChangeLog
@@ -1,7 +1,12 @@
# ChangeLog for sci-visualization/ferret-bin
-# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 03 Mar 2013; Justin Lecher <jlec@gentoo.org> ferret-bin-6.6.4.ebuild,
+ metadata.xml:
+ Move to EAPI=5; clean ebuild style; add missing die; remove portage-internal
+ (env-update)
+
*ferret-bin-6.6.4 (16 Nov 2010)
16 Nov 2010; Tim Cera <tim@cerazone.net> -ferret-bin-6.4.ebuild,
diff --git a/sci-visualization/ferret-bin/Manifest b/sci-visualization/ferret-bin/Manifest
index 64d49cfd4..2ccb4ee21 100644
--- a/sci-visualization/ferret-bin/Manifest
+++ b/sci-visualization/ferret-bin/Manifest
@@ -1,5 +1,5 @@
-DIST amd64fer_environment.v664.tar.gz 8079499 RMD160 dd0d4f84440fb78aebd42a8c2963935d261e82cc SHA1 864dace46d24ad8c9373b5a85066f6afbbd7e05a SHA256 de02d54e825e1f32d8fefc651027202941a8985425202f1872bab84119bed698
-DIST amd64fer_executables.v664.tar.gz 5408420 RMD160 bb8eb43e9b835a51d66b33990c173e2a11fe5194 SHA1 395c0dd4498d0a0a2baf182bd70408f0bc8b5c6a SHA256 4212f24f079a599cbb5a15cd21f41b723ebe710208de4efc14b58222feb95c58
-DIST fer_dsets.tar.gz 39991296 RMD160 dc3c8c67d86bcddad6bf1d984b524e1121ea5286 SHA1 4e0f514b7ae1441597e0f06fd06eda5797025ce6 SHA256 094645b275520321940002d286e792877a4867e2576832e246ab3d3f113425f3
-DIST x86fer_environment.v664.tar.gz 7671499 RMD160 40912a10e921d1814a6a72a4c31f1230d4008804 SHA1 cc74b21df222236bae5e8038bedf4a6640ccc7fb SHA256 bf011446669aea636e3c3eff07c72792c6319ce12e3a589d8bd7b8ecd65503ec
-DIST x86fer_executables.v664.tar.gz 3813127 RMD160 1070576386af84e256da40f3bb21e76912f75a99 SHA1 5301cc8ae3e5611f34cc370fe1b0f9f49629ca42 SHA256 34416d6934dea3c938f51d18869b36fd78f2ca31d403e8303cd007f3c1a38e89
+DIST amd64fer_environment.v664.tar.gz 8079499 SHA256 de02d54e825e1f32d8fefc651027202941a8985425202f1872bab84119bed698
+DIST amd64fer_executables.v664.tar.gz 5408420 SHA256 4212f24f079a599cbb5a15cd21f41b723ebe710208de4efc14b58222feb95c58
+DIST fer_dsets.tar.gz 39991296 SHA256 094645b275520321940002d286e792877a4867e2576832e246ab3d3f113425f3
+DIST x86fer_environment.v664.tar.gz 7671499 SHA256 bf011446669aea636e3c3eff07c72792c6319ce12e3a589d8bd7b8ecd65503ec
+DIST x86fer_executables.v664.tar.gz 3813127 SHA256 34416d6934dea3c938f51d18869b36fd78f2ca31d403e8303cd007f3c1a38e89
diff --git a/sci-visualization/ferret-bin/ferret-bin-6.6.4.ebuild b/sci-visualization/ferret-bin/ferret-bin-6.6.4.ebuild
index 250a7498f..fd0b6c933 100644
--- a/sci-visualization/ferret-bin/ferret-bin-6.6.4.ebuild
+++ b/sci-visualization/ferret-bin/ferret-bin-6.6.4.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2010 Gentoo Foundation
+# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
-EAPI="2"
+EAPI=5
inherit eutils versionator
@@ -11,55 +11,51 @@ MY_PV=$(delete_all_version_separators "${PV}" )
MY_FER_ENV="fer_environment.v${MY_PV}.tar.gz"
MY_FER_EXE="fer_executables.v${MY_PV}.tar.gz"
-DESCRIPTION="Ferret is an interactive computer visualization and analysis environment"
+DESCRIPTION="Analysis Tool for Gridded and Non-Gridded Data"
HOMEPAGE="http://ferret.pmel.noaa.gov/Ferret/"
-SRC_URI="ftp://ftp.pmel.noaa.gov/ferret/pub/data/fer_dsets.tar.gz
- x86? ( ftp://ftp.pmel.noaa.gov/ferret/pub/linux_32_nc4/${MY_FER_ENV} -> x86${MY_FER_ENV}
- ftp://ftp.pmel.noaa.gov/ferret/pub/linux_32_nc4/${MY_FER_EXE} -> x86${MY_FER_EXE} )
- amd64? ( ftp://ftp.pmel.noaa.gov/ferret/pub/x86_64-linux_nc4/${MY_FER_ENV} -> amd64${MY_FER_ENV}
- ftp://ftp.pmel.noaa.gov/ferret/pub/x86_64-linux_nc4/${MY_FER_EXE} -> amd64${MY_FER_EXE} )"
+SRC_URI="
+ ftp://ftp.pmel.noaa.gov/ferret/pub/data/fer_dsets.tar.gz
+ x86? (
+ ftp://ftp.pmel.noaa.gov/ferret/pub/linux_32_nc4/${MY_FER_ENV} -> x86${MY_FER_ENV}
+ ftp://ftp.pmel.noaa.gov/ferret/pub/linux_32_nc4/${MY_FER_EXE} -> x86${MY_FER_EXE} )
+ amd64? (
+ ftp://ftp.pmel.noaa.gov/ferret/pub/x86_64-linux_nc4/${MY_FER_ENV} -> amd64${MY_FER_ENV}
+ ftp://ftp.pmel.noaa.gov/ferret/pub/x86_64-linux_nc4/${MY_FER_EXE} -> amd64${MY_FER_EXE} )"
LICENSE="PMEL-FERRET"
SLOT="0"
-KEYWORDS="~amd64"
+KEYWORDS="~amd64 ~x86"
IUSE=""
DEPEND=""
RDEPEND="${DEPEND}
>=app-crypt/mit-krb5-1.6.3-r6
x11-base/xorg-server
- ~virtual/libstdc++-3.3"
+ virtual/libstdc++:3.3"
BASEDIR="/opt/ferret-bin"
src_unpack() {
- mkdir "${S}"
- cd "${S}"
+ mkdir "${S}" || die
+ cd "${S}" || die
use x86 && unpack "x86${MY_FER_ENV}"
use amd64 && unpack "amd64${MY_FER_ENV}"
- cd "${S}"/bin
+
+ cd "${S}"/bin || die
use x86 && unpack "x86${MY_FER_EXE}"
use amd64 && unpack "amd64${MY_FER_EXE}"
- cd "${S}"
- mkdir data
- cd data
+
+ mkdir "${S}"/data || die
+ cd "${S}"/data || die
unpack "fer_dsets.tar.gz"
}
src_install() {
- mkdir -p ext_func/libs
- mv bin/*.so ext_func/libs
+ mkdir -p ext_func/libs || die
+ mv bin/*.so ext_func/libs || die
- mkdir -p "${D}/${BASEDIR}"
- mv "${S}"/* "${D}/${BASEDIR}"
+ mkdir -p "${ED}/${BASEDIR}" || die
+ mv "${S}"/* "${ED}/${BASEDIR}" || die
doenvd "${FILESDIR}"/99ferret
}
-
-pkg_postinst() {
- env-update
-}
-
-pkg_postrm() {
- env-update
-}
diff --git a/sci-visualization/ferret-bin/metadata.xml b/sci-visualization/ferret-bin/metadata.xml
index fd21199c2..cb904cc37 100644
--- a/sci-visualization/ferret-bin/metadata.xml
+++ b/sci-visualization/ferret-bin/metadata.xml
@@ -1,12 +1,12 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
-<herd>sci</herd>
-<maintainer>
-<email>tim@cerazone.net</email>
-<name>Tim Cera</name>
-</maintainer>
-<longdescription lang="en">
+ <herd>sci</herd>
+ <maintainer>
+ <email>tim@cerazone.net</email>
+ <name>Tim Cera</name>
+ </maintainer>
+ <longdescription lang="en">
Ferret is an interactive computer visualization and analysis environment
</longdescription>
</pkgmetadata>